<?php 
define('_IN_JOHNCMS', 1);
require_once '../incfiles/core.php';
require_once 'functions.php';
$textl = $lng_dl['downloads'] . ' / ' . $lng_dl['admin_panel'];
//require_once '../incfiles/head.php';
$row = $_POST;
if ($row['cat'] == 'uzbek') {
    $cat = '1';
}elseif ($row['cat'] == 'russian') {
    $cat = '2';
} elseif ($row['cat'] == 'foreign') {
    $cat = '3';
} elseif ($row['cat'] == 'club') {
    $cat = '4';
} else {
$cat = '5';
}

    $res = array (
    'file' => ''.$row['file'],
    'name' => "".$row['artist']." - ".$row['name']."",
    'size' => size_convert($row['size']),
    'bitrate' => $row['bitrate'].' Kbps',
    'duration' => date('i:s', mktime(0,0,round($row['duration']))),
    'artist' => "".$row['artist']."",
    'title' => "".$row['name']."",
    'data' => date('Y-m-d H:i:s', $time),
    'cat'=> $cat
    );


    // Проверка и импорт //
        $error = array();
        $url = isset($row['file']) ? str_replace('./', '_', trim($row['file'])) : false;
        $name = isset($res['name']) ? functions::check(trim($res['name'])) : false;
        $linkname = '';
        $ftp = isset($_POST['ftp'][$i]) ? functions::check(trim($_POST['ftp'][$i])) : false;



        if (empty($url)) {
            $error[] = 'URL yozilmadi';
        }

        if (!$name) {
        $error[] = 'Nomi yozilmagan';
        }

       


        // Получаем путь до папки //
        $catid = $cat;
        $impcat = mysql_query("select * from downpath where id = '" . $catid . "';");
        $arr = mysql_fetch_array($impcat);
        $loaddir = $loadroot . '/' . $arr['way'];
        
            ////// Если не задано имя для фтп подгоняем под допустимое ///////
            $ftp = name_replace($name);
            /////// Определяем тип файла ///////
            $typ = pathinfo($url, PATHINFO_EXTENSION);
            //////// Конечное имя файла для сохранения с расширением /////////
            $ftp = $ftp . '.' . $typ;
            if (is_file($loaddir . $ftp)) {
                $ftp = time() . $i . $ftp;
            }
        

        if ((preg_match("/php/i", pathinfo($ftp, PATHINFO_EXTENSION))) or ($ftp == ".htaccess")) {
            $error[] = str_replace('#FILE_TYPE#', 'php', $lng_dl['file_type_not_allowed']);
        }


        if (!$error) {

            // Вставляем в описание дополнительные поля //
            $desc = '';

            // Если заполнено поле с описанием
            if ($_POST['desc'][$i])
                $desc = $desc . '[b]'.$lng_dl['description'].':[/b] ' . $_POST['desc'][$i] . "\r\n";

            // Если заполнено поле с автором
            if ($_POST['autor'][$i])
                $desc = $desc . '[b]'.$lng_dl['author'].':[/b] ' . $_POST['autor'][$i] . "\r\n";

            // Если заполнено поле с производителем
            if ($_POST['vendor'][$i])
                $desc = $desc . '[b]'.$lng_dl['vendor'].':[/b] ' . $_POST['vendor'][$i] . "\r\n";

            // Если заполнено поле с языком интерфейса
            if ($_POST['lang'][$i])
                $desc = $desc . '[b]'.$lng_dl['interface_language'].':[/b] ' . $_POST['lang'][$i] . "\r\n";

            // Если заполнено поле с версией
            if ($_POST['ver'][$i])
                $desc = $desc . '[b]'.$lng_dl['version'].':[/b] ' . $_POST['ver'][$i] . "\r\n";

            // Если заполнено поле с условием распространения
            if ($_POST['distributed'][$i])
                $desc = $desc . '[b]'.$lng_dl['propagation_conditions'].':[/b] ' . $_POST['distributed'][$i] . "\r\n";

            // Если заполнено поле с совместимостью
            if ($_POST['compatibility'][$i])
                $desc = $desc . '[b]'.$lng_dl['compatibility'].':[/b] ' . $_POST['compatibility'][$i] . "\r\n";

            // Если заполнено поле с годом выхода
            if ($_POST['year'][$i])
                $desc = $desc . '[b]'.$lng_dl['released'].':[/b] ' . $_POST['year'][$i] . "\r\n";

            // Если заполнено поле с адресом сайта
            if ($_POST['url'][$i])
   $desc=$desc .'[b]'.
$lg_dl['site_url'].':[/b]'.$_POST['url'][$i]. "\r\n";

// Качаем файл себе на сервер //
            if (copy($url, $loaddir . $ftp)) {
                @chmod($loaddir . $ftp, 0777); // ставим права доступа
    $nomi = $name;
                if (!$more_file)
                    $name = $name . '||||' . $linkname;
     $fayl_type = pathinfo($urlscreen, PATHINFO_EXTENSION);
   

   /*if(functions::format("files/".$arr['way'].$ftp) == 'mp3')
    $mp3 = bektegeditor('files/'.$arr['way'].$ftp);
    
   
   if(functions::format("files/".$arr['way'].$ftp) == 'mp3'){
   $tgmatn = $nomi." (".size_convert(filesize("files/".$arr['way'].$ftp)).")\n @Voydoda_OFFicial";
   yuborishmp3($tgmatn, $set['homeurl']."/fayllar/".$arr['way'].$ftp); }else{
   $tgmatn = $nomi." (".size_convert(filesize("files/".$arr['way'].$ftp)).")<a href='".$set['homeurl']."/fayllar/".$arr['way'].$ftp."'>.</a>
   \n @Voydoda_OFFicial";
   yuborish($tgmatn);
   }*/    
                mysql_query("INSERT INTO downfiles SET
        " . ($more_file > 0 ? " type = '1', " : '') . "
        pathid = '" . ($more_file > 0 ? $more_file : $catid) . "',
        way = '" . $arr['way'] . $ftp . "',
        name = '" . $name . "',
        desc = '" . mysql_real_escape_string($desc) . "',
        time = '" . time() . "',
        login = '@ovozliBot',
        gol = '',
        user_id = '0';");
                $rid = mysql_insert_id();

                //echo '<div class="gmenu">'.$lng_dl['file_loaded'].'<a href="'.$set['homeurl']."/fayllar/".$arr['way'].$ftp.'">.</a><br>';
    //if ($mp3) echo 'Teglar ozgartirildi'; elseif(pathinfo('files/'.$arr['way'], PATHINFO_EXTENSION) == 'mp3') echo 'Teglar ozgartirilmadi';
    //echo'</div>';
               /* echo '<div class="menu"><a href="/fayl_' . ($more_file > 0 ?
                    $more_file : $rid) . '.html">'.$lng_dl['back_to_file'].'</a> | <a href="admin.php?act=folder&amp;cat=' .
                    $catid . '">'.$lng_dl['to_section'].'</a></div>';
     echo $tgmatn;*/
            }
            else
            {
                echo ''.$lng_dl['file_not_loaded'].'';
            }

        } else {
            echo 'Xatolik: ';
            foreach ($error as $val) {
                echo '' . $val . '';
            }
        }
    
    
    auto_clean_cache(); // Чистим кэш счётчиков

?>
